//=============================================================================
// Throwing knives.
//=============================================================================
class CDXWeaponKnives extends CDXWeapon;

function int GetWeaponDamageSkill(int userLevel, optional actor target)
{	 
	if(userLevel == 0) //untrained (sp-only?)
		return 17;
	if(userLevel == 1) //trained
		return 25;
	if(userLevel == 2) //advanced
		return 30;
	if(userLevel == 3) //master
		return 35;
	if(userLevel == 4) //master + targ
		return 40;
		
	//vanilla values:
	//17 25 29 34
}

defaultproperties
{
	atkDelayTime=0.16
    ShotTime=0.400000
	//bringUpTime=0.82 
	bringUpTime=0.5 
	bInstantHit=false 
    ReloadCount=0
     LowAmmoWaterMark=0
     GoverningSkill=Class'DeusEx.SkillWeaponLowTech'
     NoiseLevel=0.050000
     EnemyEffective=ENMEFF_Organic
     Concealability=CONC_Visual
     reloadTime=0.200000
     HitDamage=15
     maxRange=1280
     AccurateRange=640
     BaseAccuracy=0.900000
     bHasMuzzleFlash=False
     bHandToHand=True
     mpReloadTime=0.200000
     mpHitDamage=35
     mpBaseAccuracy=0.100000
     mpAccurateRange=640
     mpMaxRange=640
     mpPickupAmmoCount=7
     AmmoName=Class'DeusEx.AmmoNone'
     PickupAmmoCount=5
     FireOffset=(X=-10.000000,Y=14.000000,Z=22.000000)
     ProjectileClass=Class'CDX_140.ProjectileThrowingKnife'//might need CDX_140.ProjectileThrowingKnife
     shakemag=5.000000
     InventoryGroup=12
     ItemName="Throwing Knives"
     ItemArticle="some"
     PlayerViewOffset=(X=24.000000,Y=-12.000000,Z=-21.000000)
     PlayerViewMesh=LodMesh'DeusExItems.Shuriken'
     PickupViewMesh=LodMesh'DeusExItems.ShurikenPickup'
     ThirdPersonMesh=LodMesh'DeusExItems.Shuriken3rd'
     Icon=Texture'DeusExUI.Icons.BeltIconShuriken'
     largeIcon=Texture'DeusExUI.Icons.LargeIconShuriken'
     largeIconWidth=36
     largeIconHeight=45
     Description="A favorite weapon of assassins in the Far East for centuries, throwing knives can be deadly when wielded by a master but are more generally used when it becomes desirable to send a message. The message is usually 'Your death is coming on swift feet.'"
     beltDescription="THW KNIFE"
     Texture=Texture'DeusExItems.Skins.ReflectionMapTex1'
     Mesh=LodMesh'DeusExItems.ShurikenPickup'
     CollisionRadius=7.500000
     CollisionHeight=0.300000
}
