//=============================================================================
// HalonGas
//=============================================================================
class HalonGas2 extends HalonGas;

auto simulated state Flying
{
	simulated function ProcessTouch (Actor Other, Vector HitLocation)
	{
		local Fire f;

		if (bStuck)
			return;

		if ((Other != instigator) && (DeusExProjectile(Other) == None) && (Other != Owner))
		{
			damagee = Other;
			
			if ( damagee.IsA('DeusExPlayer') )
			{
				DeusExPlayer(damagee).bOnFire = False;
				DeusExPlayer(damagee).burnTimer = 0;
				DeusExPlayer(damagee).SetTimer(0, False);

				foreach damagee.BasedActors(class'Fire', f)
					f.Destroy();
			}
				
			if ( damagee.IsA('ScriptedPawn') )
				ScriptedPawn(damagee).ExtinguishFire();
				
			if(damagee.IsA('DeusExDecoration'))
				DeusExDecoration(damagee).ExtinguishFire();
		}
	}
}

defaultproperties
{
	AmbientSound=Sound'SteamVent2'
	SoundVolume=150
	SoundPitch=32
	Speed=350
	damage=0
}
